summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Robbins <drobbins@gentoo.org>2003-01-15 01:47:33 +0000
committerDaniel Robbins <drobbins@gentoo.org>2003-01-15 01:47:33 +0000
commit73f8dad8b9dd7157f560812ee171f32f15af4372 (patch)
tree6f91900958cc762500f246cc3f888d045f816038 /scripts/bootstrap.sh
parentreload init (diff)
downloadgentoo-2-73f8dad8b9dd7157f560812ee171f32f15af4372.tar.gz
gentoo-2-73f8dad8b9dd7157f560812ee171f32f15af4372.tar.bz2
gentoo-2-73f8dad8b9dd7157f560812ee171f32f15af4372.zip
close bug 12698 -- don't trap on TSTP to allow ^Z of script (job control)
Diffstat (limited to 'scripts/bootstrap.sh')
-rwxr-xr-xscripts/bootstrap.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/scripts/bootstrap.sh b/scripts/bootstrap.sh
index 3a13436b1f5a..ab6b99c0eabd 100755
--- a/scripts/bootstrap.sh
+++ b/scripts/bootstrap.sh
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2
-# $Header: /var/cvsroot/gentoo-x86/scripts/bootstrap.sh,v 1.36 2003/01/06 07:16:50 drobbins Exp $
+# $Header: /var/cvsroot/gentoo-x86/scripts/bootstrap.sh,v 1.37 2003/01/15 01:47:33 drobbins Exp $
# IMPORTANT NOTE:
# This script now accepts an optional argument.
@@ -64,7 +64,8 @@ cleanup() {
# Trap ctrl-c and stuff. This should fix the users make.conf
# not being restored.
-trap "cleanup" INT QUIT TSTP
+trap "cleanup" INT QUIT
+#TSTP messes ^Z of bootstrap up, so we don't trap it anymore.
# USE may be set from the environment so we back it up for later.
export ORIGUSE="`${PYTHON} -c 'import portage; print portage.settings["USE"];'`"